<?php

/**
 *
 * @copyright  2016 izend.org
 * @version    1
 * @link       http://www.izend.org
 */

require_once 'socialize.php';
require_once 'userhasrole.php';
require_once 'models/node.inc';

function main($lang) {
	global $root_node, $request_path, $with_toolbar, $sitename, $siteshot;

	if (!$root_node) {
		return run('error/internalerror', $lang);
	}

	$r = node_get($lang, $root_node);
	if (!$r) {
		return run('error/notfound', $lang);
	}
	extract($r); /* node_name node_title node_abstract node_cloud node_image node_created node_modified node_nocomment node_nomorecomment node_ilike node_tweet node_plusone node_linkedin node_pinit */

	head('title', translate('home:title', $lang));
	if ($node_abstract) {
		head('description', $node_abstract);
	}
	else {
		head('description', translate('description', $lang));
	}
	if ($node_cloud) {
		head('keywords', $node_cloud);
	}
	else {
		head('keywords', translate('keywords', $lang));
	}
	head('date', $node_modified);

	$request_path=$lang;

	$page_contents = build('nodecontent', $lang, $root_node);

	$besocial=$sharebar=false;
	if ($page_contents) {
		$ilike=$node_ilike;
		$tweetit=$node_tweet;
		$plusone=$node_plusone;
		$linkedin=$node_linkedin;
		$pinit=$node_pinit;
		if ($tweetit or $pinit) {
			$description=$node_abstract ? $node_abstract : translate('description', $lang);
			if ($tweetit) {
				$tweet_text=$description ? $description : $sitename;
				$tweetit=$tweet_text ? compact('tweet_text') : true;
			}
			if ($pinit) {
				$pinit_text=$description ? $description : $sitename;
				$pinit_image=$node_image ? $node_image : $siteshot;
				$pinit=$pinit_text && $pinit_image ? compact('pinit_text', 'pinit_image') : false;
			}
		}
		list($besocial, $sharebar) = socialize($lang, compact('ilike', 'tweetit', 'plusone', 'linkedin', 'pinit'));
	}

	$content = view('home', false, compact('page_contents', 'besocial'));

	$languages='home';
	$contact=$account=$admin=true;
	$edit=user_has_role('writer') ? url('editpage', $_SESSION['user']['locale']) . '/'. $root_node . '?' . 'clang=' . $lang : false;
	$validate=url('home', $lang);

	$banner = build('banner', $lang, $with_toolbar ? compact('languages', 'contact', 'account', 'admin') : compact('languages', 'contact', 'account', 'admin', 'edit', 'validate'));
	$toolbar = $with_toolbar ? build('toolbar', $lang, compact('edit', 'validate')) : false;

	$contact_page=url('contact', $lang);
	$newsletter_page=false;
	$footer = view('footer', $lang, compact('contact_page', 'newsletter_page'));

	$output = layout('standard', compact('footer', 'banner', 'content', 'sharebar', 'toolbar'));

	return $output;
}

